$(document).ready(function () {
    $.getJSON('data/programs_en.json', function (data) {
        populateSelect('#firstSelect', data);
    });

    function populateSelect(selectId, options) {
        const select = $(selectId);
        // Remove all options except the first one
        select.find('option:not(:first)').remove();

        for (var oi = 0; oi < Object.entries(options).length; oi++) {
            var o = Object.entries(options)[oi];

            let o_value = null;
            let o_text = o[0];

            if (o.length >= 2 && o[1] && o[1].value) {
                o_value = o[1].value;
            }

            select.append($('<option>', {
                value: o_value,
                text: o_text
            }));
        }

        select.on('change', function () {
            var selectedValue = $(this).val();
            $(`#${$(this).attr('id')}_child`).hide();

            if (selectedValue) {
                $.getJSON('data/programs_en.json', function (data) {
                    if (data.hasOwnProperty(selectedValue) && typeof data[selectedValue] === 'object') {
                        $(`#${$(this).attr('id')}_child`).show();
                        populateSelect(`#${$(this).attr('id')}_child`, data[selectedValue]);
                    }
                });
            }
        });
    }

    // Event listener for the second and third select fields
    $('select.field').on('change', function () {
        var firstSelectValue = $(`#${$('#firstSelect').attr('id')}`).val();
        var selectedValue = $(this).val();
        $(`#${$(this).attr('id')}_child`).hide();

        if (firstSelectValue && selectedValue) {
            $.getJSON('data/programs_en.json', function (data) {
                populateSelect(`#${$(this).attr('id')}_child`, data[firstSelectValue][selectedValue]);
                $(`#${$(this).attr('id')}_child`).show();
            });
        }
    });

    $('select.field').on('change', function () {
        var firstSelectValue = $(`#${$('#firstSelect').attr('id')}`).val();
        var secondSelectValue = $(`#${$('#firstSelect_child').attr('id')}`).val();
        var selectedValue = $(this).val();

        if (selectedValue) {
            console.log("selectedValue: ", selectedValue);
            document.getElementById("field_279").value = selectedValue;

            $.getJSON('data/programs_en.json', function (data) {
                $('input[name="274"]').val(firstSelectValue);
                $('input[name="275"]').val(secondSelectValue);
                //$('input[name="276"]').val(selectedValue);
            });
        }
    });

    $("#myform").validate({
        ignore: ":hidden:not(select):not(#firstSelect):not(#secondSelect):not(#thirdSelect)",
        rules: {
            '2': { required: true }, // Assuming name="2" is for full name
            '3': { required: true, digits: true, maxlength: 10, minlength: 10 }, // Assuming name="3" is for phone
            '4': { required: true, email: true }, // Assuming name="4" is for email
            '164': { required: true },
            '245': { required: true },
            '286': { required: true },
            '247': { required: true }
        },
        messages: {
            'startup': { required: "Please indicate if you have a startup idea." } // Custom message for radio button validation
        },
		errorPlacement: function(error, element) {
            if (element.attr("name") == "startup" ) {
                error.insertAfter(".startup div"); // Adjust this if necessary to place the error message in the right location
            } else {
                error.insertAfter(element);
            }
        },
        submitHandler: function (form) {
            form.submit();
        },
        invalidHandler: function () {
            $('#btnSubmit').prop('disabled', false);
        }
    });
});
document.getElementById('applyButton').addEventListener('click', function() {
    // Select the element you want to scroll to
    const contactDiv = document.querySelector('.contact');
    
    // Scroll to the contact div
    contactDiv.scrollIntoView({ behavior: 'smooth', block: 'start' });
});